Skip to content

Update a forecast

PUT
/v1/forecast/{id}/

Replace all fields of an existing forecast.

id
required
string format: uuid

A UUID string identifying this forecast.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
configuration
required
string format: uuid
failed_at
string format: date-time
nullable
id
required
string format: uuid
modified_at
required
string format: date-time
predicted_critical_threshold
Predicted critical threshold datetime
string format: date-time
nullable
predicted_shortage
Predicted shortage datetime
string format: date-time
nullable
predicted_warning_threshold
Predicted warning threshold datetime
string format: date-time
nullable
promql_query
required
string
ran_at
string format: date-time
nullable
threshold_critical
number format: double
nullable
threshold_shortage
number format: double
nullable
threshold_warning
number format: double
nullable

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
configuration
required
string format: uuid
failed_at
string format: date-time
nullable
id
required
string format: uuid
modified_at
required
string format: date-time
predicted_critical_threshold
Predicted critical threshold datetime
string format: date-time
nullable
predicted_shortage
Predicted shortage datetime
string format: date-time
nullable
predicted_warning_threshold
Predicted warning threshold datetime
string format: date-time
nullable
promql_query
required
string
ran_at
string format: date-time
nullable
threshold_critical
number format: double
nullable
threshold_shortage
number format: double
nullable
threshold_warning
number format: double
nullable